var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MapToComponentField } from 'vega-slimmer/core';
import { SubStateObserverSlimmer } from '../../../../../helpers/slimmers/sub-state/sub-state-observer-slimmer';
/** The class `VegaSidenavGroupSubStateController` is a TypeScript class that observes and manages sub-states for a sidenav group component. */
export class VegaSidenavGroupSubStateController extends SubStateObserverSlimmer {
  /**
   * The constructor function initializes a sidenav with specified subStates in TypeScript.
   */
  constructor() {
    super({
      parent: 'vega-sidenav',
      subStates: [
        {
          subStateName: 'openState',
          parentStateName: 'openState',
        },
      ],
    });
  }
}
__decorate([
  MapToComponentField({ writable: true })
], VegaSidenavGroupSubStateController.prototype, "openState", void 0);
